<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>
    <xsl:template match="/">
        <html>
            <head>
                <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
                <title>Print user card</title>
            </head>
            <body>
               <h2 align = "center">
                   <xsl:choose>
                       <xsl:when test = "/usercard/@locale = 'ru_RU'">
                           <xsl:text>Карточка пользователя</xsl:text>
                       </xsl:when>
                       <xsl:otherwise>
                           <xsl:text>User card</xsl:text>
                       </xsl:otherwise>
                   </xsl:choose>
               </h2>
               <table align = "center" >
                    <tr>
                      <th>
                        <xsl:choose>
                            <xsl:when test = "/usercard/@locale = 'ru_RU'">
                                <xsl:text>Пользователь:</xsl:text>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:text>User:</xsl:text>
                            </xsl:otherwise>
                        </xsl:choose>
                      </th>
                        <td>
                            <xsl:value-of select = "/usercard/gecos" /> 
                        </td>
                    </tr>
                    <tr>
                      <th>
                        <xsl:choose>
                            <xsl:when test = "/usercard/@locale = 'ru_RU'">
                                <xsl:text>Имя пользователя в системе:</xsl:text>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:text>Login:</xsl:text>
                            </xsl:otherwise>
                        </xsl:choose>
                      </th>
                        <td>
                            <xsl:value-of select = "/usercard/name" /> 
                        </td>
                    </tr>
                    <tr>
                      <th>
                        <xsl:choose>
                            <xsl:when test = "/usercard/@locale = 'ru_RU'">
                                <xsl:text>Пароль:</xsl:text>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:text>Password:</xsl:text>
                            </xsl:otherwise>
                        </xsl:choose>
                      </th>
                        <td>
                            <xsl:value-of select = "/usercard/password" /> 
                        </td>
                    </tr>
                    <tr>
                      <th>
                        <xsl:choose>
                            <xsl:when test = "/usercard/@locale = 'ru_RU'">
                                <xsl:text>Изменен:</xsl:text>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:text>Changed:</xsl:text>
                            </xsl:otherwise>
                        </xsl:choose>
                      </th>
                        <td>
                            <xsl:value-of select = "/usercard/changed" /> 
                        </td>
                    </tr>
               </table>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
